import matplotlib.pyplot as plt
numargs = foldcauchy.numargs
[ c ] = [0.9,] * numargs
rv = foldcauchy(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = foldcauchy.cdf(x, c)
h = plt.semilogy(np.abs(x - foldcauchy.ppf(prb, c)) + 1e-20)

# Random number generation

R = foldcauchy.rvs(c, size=100)
